Bug 435441 - RFE Use of standard input in evince
RFE Use of standard input in evince
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 06:49 EST by Laurent GAUTROT
Modified: 2008-08-28 08:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-15 09:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent GAUTROT 2008-02-29 06:49:52 EST
Description of problem:

At the moment, evince does not deal with standard input.

If the content of a PDF files comes from the standard input, it is silently
discarded.

Version-Release number of selected component (if applicable):

Any

How reproducible:

evince < PDF_FILE
COMMAND_GENERATING_PDF | evince

Steps to Reproduce:

1. generate a PDF file with an application such as ps2pdf, or any other PDF
generator
2. pipe it to evince
3. get an empty display
  
Actual results:

evince starts with an empty window.

Expected results:

evince starts with the PDF stream opened in the display window

Additional info:

Test case: man -t man | ps2pdf - | evince

or maybe: man -t man | ps2pdf - | evince -

In fact, the kind of behaviour I'm thinking about is gv's

man -t man | ps2pdf - | gv -
Comment 1 Paul W. Frields 2008-08-09 12:25:29 EDT
Triage here.  Is this even possible to do?
Comment 2 Kristian Høgsberg 2008-08-15 09:34:05 EDT
It's possible, but it's not a feature that we'll add on the fedora side.  Work with upstream, suggest the feature on the evince mailing list and see how that works out.
Comment 3 Laurent GAUTROT 2008-08-28 08:24:03 EDT
(In reply to comment #2)
> It's possible, but it's not a feature that we'll add on the fedora side.  Work
> with upstream, suggest the feature on the evince mailing list and see how that
> works out.

Sent a request on the mailing list as of today.
Comment 4 Laurent GAUTROT 2008-08-28 08:58:21 EDT
2008-08-28 klockan 14:17 skrev l.gautrot@free.fr:
> > At the moment, evince does not deal with standard input.
> > If the content of a PDF files comes from the standard input, it is silently
> > discarded.

That is deliberate. Evince is a GUI program, not a command line filtering
tool. Implementing this would interfere with the "single instance" approach
currently used. Perhaps a shell script like this would help you:

  #!/bin/sh
  TMPFILE=$(mktemp evince-$USER.XXXXXXX)
  cat > $TMPFILE
  evince $TMPFILE
  sleep 2
  rm $TMPFILE

Good luck.

  mvrgr, Wouter

Note You need to log in before you can comment on or make changes to this bug.